Summary:	XCB util-keysyms module
Summary(pl.UTF-8):	Moduł XCB util-keysyms
Name:		xcb-util-keysyms
Version:	0.4.1
Release:	1%{?tld}
License:	MIT
Group:		Libraries
Source0:	https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
# Source0-md5:	fbdc05f86f72f287ed71b162f1a9725a
URL:		https://xcb.freedesktop.org/XcbUtil/
BuildRequires:	libxcb-devel >= 1.4
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xcb-proto >= 1.6
BuildRequires:	xorg-proto-xproto-devel >= 7.0.8
BuildRequires:	xz
Requires:	libxcb >= 1.4
Conflicts:	xcb-util < 0.3.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

XCB util-keysyms module provides the following library:
- keysyms: Standard X key constants and conversion to/from keycodes.

%description -l pl.UTF-8
xcb-util udostępnia wiele bibliotek opartych powyżej libxcb (głównej
biblioteki protokołu X) oraz trochę bibliotek rozszerzeń. Te
eksperymentalne biblioteki udostępniają wygodne funkcje i interfejsy
czyniące surowy protokół X bardziej używalnym. Niektóre biblioteki
udostępniają także kod kliencki nie będący ściśle częścią protokołu X,
ale tradycyjnie dostarczany przez Xlib.

Moduł XCB util-keysyms udostępnia następującą biliotekę:
- keysyms: standardowe stałe i konwersje klawiszy X z/do kodów
klawiszy.

%package devel
Summary:	Header files for XCB util-keysyms library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB util-keysyms
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.4
Conflicts:	xcb-util-devel < 0.3.8

%description devel
Header files for XCB util-keysyms library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB util-keysyms.

%package static
Summary:	Static XCB util-keysyms library
Summary(pl.UTF-8):	Statyczna biblioteka XCB util-keysyms
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB util-keysyms library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB util-keysyms.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxcb-keysyms.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libxcb-keysyms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-keysyms.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxcb-keysyms.so
%{_includedir}/xcb/xcb_keysyms.h
%{_pkgconfigdir}/xcb-keysyms.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb-keysyms.a
%changelog
* Sun Jul 23 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xcb-util-keysyms.git;a=log;h=master

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 5a18489
- updated to 0.4.1, drop .la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d88f401
- x32 rebuild
- release 2 (by relup.sh)

* Fri Oct 03 2014 Jakub Bogusz <qboosh@pld-linux.org> f85d452
- updated to 0.4.0

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> f73dbf0
- updated to 0.3.9

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> c6411f9
- doesn't require xcb-util, changed to Conflicts before split (< 0.3.8)

* Tue Apr 26 2011 Jakub Bogusz <qboosh@pld-linux.org> c15de8a
- new

